'use strict';

var fflate = require('fflate');
var base85 = require('@alttiri/base85');

function decompress(encodedString) {
  const decoded = base85.decodeBase85(encodedString);
  const decompressedBuffer = fflate.decompressSync(decoded);
  const decompressedArray = fflate.strFromU8(decompressedBuffer).split(/([A-Z])/g);
  const decompressedData = [];
  let last = '';
  let i;
  for (i = 1; i < decompressedArray.length; i += 2) {
    last = last.slice(0, decompressedArray[i].charCodeAt(0) - 65) + decompressedArray[i + 1];
    decompressedData.push(last);
  }
  return decompressedData;
}

module.exports = decompress;
//# sourceMappingURL=decompress.js.map
